# VCard (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class VCard

- java.lang.Object
- - net.fortuna.ical4j.vcard.VCard

All Implemented Interfaces:
  Serializable

    public final class VCard
    extends Object
    implements Serializable

vCard object. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VCard()` Default constructor.
`VCard(List<Property> properties)`

### Method Summary

Methods
`List<Property>` `getExtendedProperties(String name)` Returns a list of non-standard properties for the VCard instance with a matching name.
`Property` `getExtendedProperty(String name)` Returns the first non-standard property found matching the specified name.
`List<Property>` `getProperties()` Returns a reference to the list of properties for the VCard instance.
`List<Property>` `getProperties(Property.Id id)` Returns a list of properties for the VCard instance with a matching identifier.
`Property` `getProperty(Property.Id id)` Returns the first property found matching the specified identifier.
`String` `toString()`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VCard

    public VCard()

Default constructor.

#### VCard

    public VCard(List<Property> properties)

Parameters:
  `properties` - a list of properties

### Method Detail

#### getProperties

    public List<Property> getProperties()

Returns a reference to the list of properties for the VCard instance. Note that any changes to this list are reflected in the VCard object list.

Returns:
  the properties

#### getProperties

    public List<Property> getProperties(Property.Id id)

Returns a list of properties for the VCard instance with a matching identifier. Any modifications to this list will not affect the list referenced by the VCard instance.

Parameters:
  `id` - a property identifier
Returns:
  a list of properties matching the specified identifier

#### getProperty

    public Property getProperty(Property.Id id)

Returns the first property found matching the specified identifier.

Parameters:
  `id` - a property identifier
Returns:
  the first matching property, or null if no properties match

#### getExtendedProperties

    public List<Property> getExtendedProperties(String name)

Returns a list of non-standard properties for the VCard instance with a matching name. Any modifications to this list will not affect the list referenced by the VCard instance.

Parameters:
  `name` - a non-standard property name
Returns:
  a list of non-standard properties matching the specified name

#### getExtendedProperty

    public Property getExtendedProperty(String name)

Returns the first non-standard property found matching the specified name.

Parameters:
  `name` - a non-standard property name
Returns:
  the first matching property, or null if no properties match

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Throws:
  `net.fortuna.ical4j.model.ValidationException` - where validation fails

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  a vCard-compliant string representation of the vCard object